<?php
//JavaScript für die Bestätigungsmeldung
  echo"
    <script language=\"JavaScript\" type=\"text/javascript\">
    function SendMailConfirm(id)
    {
        check =  confirm(\"Datensatz mit der ID: \" + id  + \" per E-Mail versenden?\");
    
        if (check==true)
        {
            location.href = \"addons/send_pdf.php?uid=\"+ id;
        }
        else
        {
            return false;
        }
    }
    </script>";
  

 $mydb= new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');
 
 $mydb->query("SELECT * FROM AnmeldungStatus");
 $status =  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungPerson");
 $person=  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungNotfallkontakt");
 $kontakt =  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungZeltwunsch");
 $zelt =  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungZusatzangaben");
 $zusatz =  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungBankdaten");
 $bank =  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungStatus WHERE step='11'");
 $anmeldungen =  $mydb->count();
 
 $mydb->query("SELECT * FROM AnmeldungStatus WHERE step='11' AND bestaetigt='0'");
 $anmeldungenUnbestaetigt =  $mydb->count();
 
  $mydb->query("SELECT * FROM AnmeldungStatus WHERE step='11' AND bestaetigt='1'");
 $anmeldungenBestaetigt =  $mydb->count();
 
$mydb->query("SELECT * FROM AnmeldungStatus as a join AnmeldungZeltwunsch as b on a.uid=b.uid WHERE a.step='11' AND b.mitarbeiter='0'");
 $anmeldungenMitfahrer =  $mydb->count();

$mydb->query("SELECT * FROM AnmeldungStatus as a join AnmeldungZeltwunsch as b on a.uid=b.uid WHERE a.step='11' AND b.mitarbeiter='1'");
 $anmeldungenMitarbeiter =  $mydb->count();

 $mydb->query("SELECT * FROM AnmeldungVerwaltung WHERE zeltnummer > '0'");
 $zelteinteilung =  $mydb->count();
  
 $mydb->query("SELECT * FROM `VerwaltungLagerplatz` ORDER BY `VerwaltungLagerplatz`.`jahr` DESC LIMIT 1");
 $row = $mydb->fetchRow();
 $aktuellesjahr = $row['jahr'];
 $mydb->query("SELECT * FROM JubilaeumTeilnahme WHERE zeltlagerjahr = $aktuellesjahr ");
 $jubi =  $mydb->count();
 $mydb->query("SELECT * FROM JubilaeumGaeste WHERE zeltlagerjahr = $aktuellesjahr ");
 $jubi =  $mydb->count() + $jubi;
 
 echo "<div class=\"row\"><div class=\"col-lg-8\"><div class=\"panel panel-primary\">";
 echo "<div class=\"panel-heading\"><i class=\"fa fa-bar-chart-o fa-fw\"></i>&nbsp;Datenbanken-Status-Panel</div>";
 echo "<div class=\"panel-body\">";
 echo "<div class=\"list-group-item\"><b>Datenbankeinträge:</b> Status: $status - Person: $person - Notfallkontakt: $kontakt - Zusatzangaben: $zusatz - Zeltwunsch: $zelt - Bankdaten: $bank</div>";
 echo "<div class=\"list-group-item\"><b>Anmeldungen:</b> abgeschlossen: $anmeldungen - bestätigt: $anmeldungenBestaetigt - unbestätigt: $anmeldungenUnbestaetigt // als Mitarbeiter: $anmeldungenMitarbeiter // als Mitfahrer: $anmeldungenMitfahrer<br></div>";
 $diff = intval($anmeldungenBestaetigt) - intval($zelteinteilung);
 echo "<div class=\"list-group-item\"><b>Zelteinteilung:</b> eingeteilt: $zelteinteilung - noch einzuteilen: $diff<br></div>";
 $diff = intval($anmeldungenBestaetigt) - intval($jubi);
 echo "<div class=\"list-group-item\"><b>Jubiläums-/Gästeverwaltung:</b> zugewiesen: $jubi - noch zuzuweisen: $diff<br></div>";
 echo"</div></div></div></div>";
 
   $sql = "SELECT a.uid, a.nachname, a.vorname, a.strasse, a.wohnort, s.step FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid WHERE s.step = 11 AND s.versand= 0 ORDER BY a.nachname, a.vorname";
  $mydb->query($sql);

  $ResultCounter = $mydb->count() ; 
  if ($ResultCounter != 0)
  {
    echo "<div class=\"row\"><div class=\"col-lg-5\"><div class=\"alert alert-danger text-center\">";
    echo "<b>Anzahl an nicht versendeten Datensätzen: $ResultCounter</b></div></div></div>";
  
 
       echo "<div class=\"row\"><div class=\"panel panel-default\"><div class=\"panel-body\"><div class=\"table-responsive\"><table class=\"table table-hover\" id=\"dataTables-show\">";
      echo "<thead><tr><th>UID</th><th>Nachname</th><th>Vorname</th><th>Straße</th><th>Ort</th><th>PDF</th><th>resend</th></tr></thead><tbody>";
      
      while ($row = $mydb->fetchRow())
      {  
     echo "<tr><td>" .  $row['uid'] . "</td><td>" . $row['nachname'] . "</td><td>" . $row['vorname'] .  "</td><td>" . $row['strasse'] .  "</td><td class=\"linieunten\">" . $row['wohnort'] .  "</td><td><a href=\"/pdf/" . $row['uid'] .".pdf\" target=\"_blank\">show</a></td><td><a href=\"#\" onClick=\"SendMailConfirm('" . $row['uid'] ."')\">send</a></td></tr>";       
      }
     
     echo "</tbody></table></div></div></div></div>\n";
     echo "<hr>";
  }
  
  
  $sql = "SELECT a.uid, a.nachname, a.vorname, a.strasse, a.wohnort, s.step, p.gruppe FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid LEFT JOIN AnmeldungPerson as p ON a.uid = p.uid WHERE s.step = 11 AND s.bestaetigt = 0 AND p.mitglied = 1 ORDER BY a.nachname, a.vorname";
  $mydb->query($sql);

  $ResultCounter = $mydb->count() ; 
  if ($ResultCounter != 0)
  {
    echo "<div class=\"row\"><div class=\"col-lg-7\"><div class=\"alert alert-info text-center\">";
    echo "<b>Mitglieder der Evang. Gemeindejugend - Anzahl an noch zu bestätigenden Datensätzen: $ResultCounter</b></div></div></div>";


      echo "<div class=\"row\"><div class=\"panel panel-default\"><div class=\"panel-body\"><div class=\"table-responsive\"><table class=\"table table-hover\" id=\"dataTables-show\">";
      echo "<thead><tr><th>UID</th><th>Nachname</th><th>Vorname</th><th>Straße</th><th>Ort</th><th>Jugendgruppe</th><th>PDF</th><th>bestätigen</th></tr><t/head><tbody>";
      
      while ($row = $mydb->fetchRow())
      {  
      echo "<tr><td class=\"linieunten\">" .  $row['uid'] . "</td><td class=\"linieunten\">" . $row['nachname'] . "</td><td class=\"linieunten\">" . $row['vorname'] .  "</td><td class=\"linieunten\">" . $row['strasse'] .  "</td><td class=\"linieunten\">" . $row['wohnort'] .  "</td><td class=\"linieunten\">" . $row['gruppe'] .  "</td><td class=\"linieunten\"><a href=\"/pdf/" . $row['uid'] .".pdf\" target=\"_blank\">show</a></td><td><a href=\"addons/confirm_uid.php?uid=" . $row['uid'] ." \">confirm</a></td></tr>";       
      }
     
       echo "</tbody></table></div></div></div></div>\n";
       echo "<hr>";
  }
  
  $sql = "SELECT a.uid, a.nachname, a.vorname, a.strasse, a.wohnort, s.step, IF(z.mitarbeiter, 'Ja', ' ') as mitarbeiter FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid LEFT JOIN AnmeldungPerson as p ON a.uid = p.uid  LEFT JOIN AnmeldungZeltwunsch as z ON a.uid = z.uid WHERE s.step = 11 AND s.bestaetigt = 0 AND p.mitglied = 0 ORDER BY a.nachname, a.vorname";
  $mydb->query($sql);

  $ResultCounter = $mydb->count() ; 
  if ($ResultCounter != 0)
  {
    echo "<div class=\"row\"><div class=\"col-lg-7\"><div class=\"alert alert-info text-center\">";
    echo "<b>Anzahl an noch zu bestätigenden Datensätzen: $ResultCounter</b></div></div></div>";


      echo "<div class=\"row\"><div class=\"panel panel-default\"><div class=\"panel-body\"><div class=\"table-responsive\"><table class=\"table table-hover\" id=\"dataTables-show2\">";
      echo "<thead><tr><th>UID</th><th>Nachname</th><th>Vorname</th><th>Straße</th><th>Ort</th><th>Mitarbeiter</th><th>PDF</th><th>bestätigen</th></tr><t/head><tbody>";
      
      while ($row = $mydb->fetchRow())
      {  
      echo "<tr><td class=\"linieunten\">" .  $row['uid'] . "</td><td class=\"linieunten\">" . $row['nachname'] . "</td><td class=\"linieunten\">" . $row['vorname'] .  "</td><td class=\"linieunten\">" . $row['strasse'] .  "</td><td class=\"linieunten\">" . $row['wohnort'] .  "</td><td class=\"linieunten\">" . $row['mitarbeiter'] .  "</td><td class=\"linieunten\"><a href=\"/pdf/" . $row['uid'] .".pdf\" target=\"_blank\">show</a></td><td><a href=\"addons/confirm_uid.php?uid=" . $row['uid'] ." \">confirm</a></td></tr>";       
      }
     
       echo "</tbody></table></div></div></div></div>\n";
  }
  

?>
